package com.bonus.canteen.core.bus.model;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.time.LocalDateTime;

@TableName("bus_line")
@ApiModel(
   value = "BusLine",
   description = "班车线路表"
)
public class BusLine implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("线路id")
   private Long lineId;
   @ApiModelProperty("线路编号")
   private String lineNum;
   @ApiModelProperty("线路名称")
   private String lineName;
   @ApiModelProperty("线路站点集合")
   private String lineSites;
   @ApiModelProperty("计费规则id")
   private Long billingId;
   @ApiModelProperty("删除标识(1删除,2正常)")
   private Integer delFlag;
   @ApiModelProperty("乐观锁")
   private Integer revision;
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @ApiModelProperty("更新人")
   private String upby;
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;

   public Long getLineId() {
      return this.lineId;
   }

   public String getLineNum() {
      return this.lineNum;
   }

   public String getLineName() {
      return this.lineName;
   }

   public String getLineSites() {
      return this.lineSites;
   }

   public Long getBillingId() {
      return this.billingId;
   }

   public Integer getDelFlag() {
      return this.delFlag;
   }

   public Integer getRevision() {
      return this.revision;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public BusLine setLineId(final Long lineId) {
      this.lineId = lineId;
      return this;
   }

   public BusLine setLineNum(final String lineNum) {
      this.lineNum = lineNum;
      return this;
   }

   public BusLine setLineName(final String lineName) {
      this.lineName = lineName;
      return this;
   }

   public BusLine setLineSites(final String lineSites) {
      this.lineSites = lineSites;
      return this;
   }

   public BusLine setBillingId(final Long billingId) {
      this.billingId = billingId;
      return this;
   }

   public BusLine setDelFlag(final Integer delFlag) {
      this.delFlag = delFlag;
      return this;
   }

   public BusLine setRevision(final Integer revision) {
      this.revision = revision;
      return this;
   }

   public BusLine setCrby(final String crby) {
      this.crby = crby;
      return this;
   }

   public BusLine setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
      return this;
   }

   public BusLine setUpby(final String upby) {
      this.upby = upby;
      return this;
   }

   public BusLine setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
      return this;
   }
}
